/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <pybind11/pybind11.h>

#include "aidge/operator/MatMul.hpp"
#include "aidge/backend/OperatorImpl.hpp"
#include "aidge/operator/Operator.hpp"
#include "aidge/utils/Types.h"

namespace py = pybind11;
namespace Aidge {

void declare_MatMul(py::module &m) {
  py::class_<MatMul_Op, std::shared_ptr<MatMul_Op>, Operator, Attributes>(m, "MatMulOp", py::multiple_inheritance())
  .def("get_inputs_name", &MatMul_Op::getInputsName)
  .def("get_outputs_name", &MatMul_Op::getOutputsName);

  m.def("MatMul", &MatMul, py::arg("out_channels"), py::arg("name") = "");
}

void init_MatMul(py::module &m) {
  declare_MatMul(m);
}
} // namespace Aidge
